## com.thingmagic
Class Gen2.NXP.AES

    java.lang.Object
      com.thingmagic.TagOp
          com.thingmagic.Gen2.Gen2CustomTagOp
              com.thingmagic.Gen2.NXP.AES

Enclosing class:
  Gen2.NXP

    public static class Gen2.NXP.AES

extends Gen2.Gen2CustomTagOp

AES Static class

Nested Class Summary
`static class` `Gen2.NXP.AES.Authenticate` Authenticate
`static class` `Gen2.NXP.AES.KeyId` Authentication KeyId
`static class` `Gen2.NXP.AES.Profile` Memory profile for the addition of custom data
`static class` `Gen2.NXP.AES.ReadBuffer` ReadBuffer
`static class` `Gen2.NXP.AES.Tam1Authentication` TAM1 authentication
`static class` `Gen2.NXP.AES.Tam2Authentication` TAM2 authentication
`static class` `Gen2.NXP.AES.Untraceable` Untraceable

Field Summary

Fields inherited from class com.thingmagic.Gen2.Gen2CustomTagOp
`chipType`

Constructor Summary
`Gen2.NXP.AES()` Constructor to initialize ChipType

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Gen2.NXP.AES

    public Gen2.NXP.AES()

  Constructor to initialize ChipType